<?
    $xml = new SimpleXMLElement(file_get_contents("lunch.xml"));
    foreach ($xml->category as $category)
    {
        $colors[(string)$category["name"]] = (string)$category["color"];
        foreach ($category->item as $item)
        {
            $categories[(string)$category["name"]][(string)$item["name"]] = (string)$item;
            uksort($categories[(string)$category["name"]], "strnatcasecmp");
        }
    }
    uksort($categories, "strnatcasecmp");

    foreach ($xml->fillings->filling as $filling) $fillings[] = (string)$filling;
    foreach ($xml->breads->bread as $bread) $breads[] = (string)$bread;
    foreach ($xml->cheeses->cheese as $cheese) $cheeses[] = (string)$cheese;
    foreach ($xml->condiments->condiment as $condiment) $condiments[] = (string)$condiment;
    foreach ($xml->spreads->spread as $spread) $spreads[] = (string)$spread;
    foreach (array("breads", "cheeses", "condiments", "fillings", "spreads") as $category)
        usort($$category, "strnatcasecmp");

    try
    {
        $dbh = new PDO("sqlite:lunch.db");
        $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    }
    catch (PDOException $e)
    {
        die("App is offline.  Please email Tristen.");
    }
    try
    {
        $sql = sprintf("SELECT DISTINCT name, item, requests FROM orders ORDER BY date ASC");
        foreach ($dbh->query($sql) as $row)
        {
            $name = strtolower($row["name"]);
            $defaults[$name]["item"] = $row["item"];
            $defaults[$name]["requests"] = $row["requests"];
        }
    }
    catch (PDOException $e)
    {}

    
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>

    <link href="http://yui.yahooapis.com/2.7.0/build/reset-fonts/reset-fonts.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" type="text/css" href="http://yui.yahooapis.com/combo?2.7.0/build/autocomplete/assets/skins/sam/autocomplete.css" /> 
    <link href="styles.css" rel="stylesheet" type="text/css" />

    <link rel="shortcut icon" href="http://www.cs50.net/favicon.ico" type="image/x-icon" />

    <script type="text/javascript" src="http://yui.yahooapis.com/combo?2.7.0/build/yahoo-dom-event/yahoo-dom-event.js&2.7.0/build/datasource/datasource-min.js&2.7.0/build/autocomplete/autocomplete-min.js"></script>
    <script type="text/javascript" src="faculty.js"></script>

    <title>CS50 Apps / Lunch</title>
  </head>
  <body class="yui-skin-sam">

    <form action="rsvp.php" method="post" name="order" onsubmit="return validate();">

      <table>
        <tr>
          
          <td valign="top">

            <div class="customer">
              <table align="center">
                <tr>
                  <td><strong>Date:</strong></td>
                  <td>
                    <?
                        $friday = strtotime("2009-01-09 12:00:00");
                        $now = time();
                        while ($friday < $now) $friday += 7 * 24 * 60 * 60;
                        print(date("l, j F Y", $friday));
                    ?> 
                    <input name="date" type="hidden" value="<?= date("Y-m-d", $friday) ?>" />
                  </td>
                </tr>
                <tr>
                  <td><strong>Name:</strong></td>
                  <td>
                    <div>
                      <input id="name" name="name" onkeyup="remind();" type="text" />
                      <div id="suggestions"></div>
                    </div>
                  </td>
                </tr>
                <tr>
                  <td nowrap="nowrap"><strong>Special Requests:</strong></td>
                  <td><input id="requests" name="requests" type="text" /></td>
                </tr>
                <tr>
                  <td></td>
                  <td><input name="action" type="submit" value="Submit Order to Tristen" />
                </tr>
              </table>
            </div>

            <div style="padding-bottom: 10px;">
              <fieldset style="border: 2px #000 solid;">
                <legend style="background: #000;">Default Order</legend>
                <table>
                  <tr>
                    <td valign="top"><input disabled="disabled" id="Default Order" name="item" onclick="request();" type="radio" value="Default Order" /></td>
                    <td>
                      <label for="Default Order">
                        <span class="item" id="default item html">n/a</span>
                        <input id="default_item" name="default_item" type="hidden" value="" />
                        <br />
                        <span class="requests" id="default requests html"></span>
                        <input id="default_requests" name="default_requests" type="hidden" value="" />
                      </label>
                    </td>
                  </tr>
                </table>
              </fieldset>
            </div>

            <div>
              <fieldset style="border: 2px #80379B solid;">
                <legend style="background: #80379B;">Deli Sandwiches</legend>
                <table>
                  <tr>
                    <td><input id="Deli Sandwich" name="item" type="radio" value="Deli Sandwich" /></td>
                    <td><label for="Deli Sandwich"><span class="item">Click here to make your own</span></label></td>
                  </tr>
                </table>
                <? foreach (array("breads", "cheeses", "condiments", "fillings", "spreads") as $ingredients): ?>
                  <fieldset>
                    <legend><?= $ingredients ?></legend>
                    <table>
                      <? foreach ($$ingredients as $ingredient): ?>
                        <tr>
                          <td><input id="<?= $ingredient ?>" name="choices[]" onclick="document.getElementById('Deli Sandwich').checked = true;" type="checkbox" value="<?= $ingredient ?>" /></td>
                          <td><label for="<?= $ingredient ?>"><?= $ingredient ?></label></td>
                        </tr>
                      <? endforeach ?>
                    </table>
                  </fieldset>
                <? endforeach ?>
              </fieldset>
            </div>

          </td>

          <? foreach ($categories as $category => $items): ?>

            <td valign="top">
 

              <fieldset style="border: 2px #<?= $colors["$category"] ?> solid;">
                <legend style="background: #<?= $colors["$category"] ?>;"><?= $category ?></legend>

                <? foreach ($items as $item => $description): ?>

                  <table>
                    <tr>
                      <td valign="top">
                        <input id="<?= $item ?>" name="item" onclick="undo()" type="radio" value="<?= $item ?>" />
                      </td>
                      <td valign="top">
                        <label for="<?= $item ?>">
                          <span class="item">
                            <?= $item ?>
                          </span>
                          <br />
                          <span class="description">
                            <?= $description ?>
                          </span>
                        </label>
                      </td>
                    </tr>
                  </table>

                <? endforeach ?>

              </fieldset>

            </td>

          <? endforeach ?>

        </tr>
      </table>

    </form>

    <script type="text/javascript">
    // <![CDATA[

var defaults = <?= json_encode($defaults) ?>;

YAHOO.util.Event.onDOMReady(function() {

    var source = new YAHOO.util.LocalDataSource(FACULTY);
    var suggestions = new YAHOO.widget.AutoComplete("name", "suggestions", source);
    suggestions.maxResultsDisplayed = 16;
    suggestions.prehighlightClassName = "yui-ac-prehighlight";
    suggestions.queryDelay = 0;
    suggestions.queryMatchContains = true;
    suggestions.useShadow = true;

    suggestions.itemSelectEvent.subscribe(remind);

    document.forms.order.name.focus();
    document.forms.order.name.value = document.forms.order.name.value;

});

function remind()
{
    var name = document.getElementById("name").value.replace(/^\s+|\s+$/g, "").toLowerCase();
    if (defaults && defaults[name])
    {
        document.getElementById("Default Order").disabled = false; 
        document.getElementById("default item html").innerHTML = defaults[name]["item"];
        document.getElementById("default_item").value = defaults[name]["item"];
        document.getElementById("default requests html").innerHTML = defaults[name]["requests"];
        document.getElementById("default_requests").value = defaults[name]["requests"];
    }
    else
    {
        document.getElementById("Default Order").checked = false;
        document.getElementById("Default Order").disabled = true;
        document.getElementById("default item html").innerHTML = "n/a";
        document.getElementById("default_item").value = "";
        document.getElementById("default requests html").innerHTML = "";
        document.getElementById("default_requests").value = "";
    }
}

function request()
{
    document.getElementById("requests").value = "";
    document.getElementById("requests").disabled = true;
}

function undo()
{
    document.getElementById("requests").disabled = false;
    var choices = document.getElementsByName("choices[]");
    for (var i = 0; i < choices.length; i++)
        choices[i].checked = false;
}

function validate()
{
    if (document.getElementById("name").value.replace(/^\s+|\s+$/g, "") == "")
    {
        alert("You must input your name at top-left.");
        document.forms.order.name.focus();
        return false;
    }

    for (var i = 0; i < document.forms.order.item.length; i++)
        if (document.forms.order.item[i].checked)
            return true;

    alert("You must select something to eat.");
    return false;
}

    // ]]>
    </script>

  </body>

</html>
