<?
    if (!isset($_POST["action"]))
    {
        header("Location: http://www.cs75.net/lectures/5/src/lunch/production/");
        exit;
    }

    if ($_POST["item"] == "Deli Sandwich" && isset($_POST["choices"]))
        $_POST["item"] .= " with " . implode(", ", $_POST["choices"]);

    try
    {
        $dbh = new PDO("sqlite:lunch.db");
        $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    }
    catch (PDOException $e) 
    {
        die("App is offline.  Please email Tristen.");
    }

    try
    {
        if ($_POST["item"] == "Default Order")
        {
            $item = $_POST["default_item"];
            $requests = $_POST["default_requests"];
        }
        else
        {
            $item = $_POST["item"];
            $requests = $_POST["requests"];
        }
        
        $sql = sprintf("INSERT OR REPLACE INTO orders (date, name, item, requests, ordered) " .
                       "VALUES(%s, %s, %s, %s, DATETIME('NOW', 'localtime'))",
                       $dbh->quote($_POST["date"]), 
                       $dbh->quote(trim($_POST["name"])), 
                       $dbh->quote($item), 
                       $dbh->quote($requests));
        $dbh->exec($sql);
    }
    catch (PDOException $e) 
    {
        die("Couldn't record your order.  Please email Tristen.");
    }

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>

    <link href="http://yui.yahooapis.com/2.7.0/build/reset-fonts/reset-fonts.css" rel="stylesheet" type="text/css" />
    <link href="styles.css" rel="stylesheet" type="text/css" />

    <link rel="shortcut icon" href="http://www.cs50.net/favicon.ico" type="image/x-icon" />

    <title>CS50 Apps / Lunch</title>
  </head>
  <body style="padding: 40px;">

    <table align="center">
      <tr>
        <td>

          <fieldset>

            <legend style="background: #000; color: #fff;">See you Friday!</legend>

            <table align="center">
              <tr>
                <td><strong>Date:</strong></td>
                <td nowrap="nowrap"><?= date("l, j F Y", strtotime($_POST["date"])) ?></td>
              </tr>
              <tr>
                <td><strong>Name:</strong></td>
                <td><?= htmlentities($_POST["name"]) ?></td>
              </tr>
              <tr>
                <td valign="top"><strong>Meal:</strong></td>
                <td><?= htmlentities($item) ?></td>
              </tr>
              <tr>
                <td nowrap="nowrap" valign="top"><strong>Special Requests:</strong></td>
                <td><?= htmlentities($requests) ?></td>
              </tr>
            </table>

          </fieldset>

        </td>
      </tr>
      <tr>
        <td align="center">Your order is now confirmed.  But you may <a href="/lunch/">change it</a>.</td>
      </tr>
    </table>

  </body>
</html>
